﻿using Net40Utilities.Validation;
using OneAccomplishment.CodeGen.Renderers;

namespace OneAccomplishment.CodeGen.Extensions
{
    internal static class AutoGeneratedHeaderExtensions
    {
        public static void RenderHeader(this IRendererOutput renderer)
        {
            ArgumentGuard.For(() => renderer).IsNull().Throw();

            var output = renderer.Output;
            output.WriteLine(@"// -------------------------------------------------------
// <autogenerated>
// This file was automatically generated with Reegenerator.
// Any changes made to this file will be removed when this file is regenerated.
// 
// Generator: {0}", renderer.GetType().FullName);
            output.WriteLine(@"// </autogenerated>
// -------------------------------------------------------");
            output.WriteLine();
        }
    }
}
